﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Maui.Controls;
using QwirkleClassLibrary.Games;
using QwirkleClassLibrary.Players;
using QwirkleClassLibrary.Tiles;
using QwirkleClassLibrary.Events;
using QwirkleClassLibrary.Boards;

namespace Qwirkle.Views;

public partial class TileCircle : ContentView
{

    public static readonly BindableProperty TileInfoProperty = BindableProperty.Create(nameof(TileInfo), typeof(Tile), typeof(TileCircle), default(Tile));

    public Tile TileInfo
    {
        get => (Tile)GetValue(TileInfoProperty);
        set => SetValue(TileInfoProperty, value);
    }
    public TileCircle()
    {
        InitializeComponent();
        ((App)Application.Current!).Game.Board.PropertyChanged += Board_PropertyChanged;
    }

    private void Board_PropertyChanged(object? sender, System.ComponentModel.PropertyChangedEventArgs e)
    {
        if (TileInfo == null)
        {
            return;
        }
        Shape = TileInfo.GetShape.ToString();
        if (Shape != "Round")
        {
            return;
        }
        Color = TileInfo.GetColor.ToString();
        BC = "Grey300";
    }
    public string BC { get; set; } = "Transparent";
    public string Color { get; set; } = "Transparent";
    public string Shape { get; set; } = "None";
}